> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etrnl.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create

Create a new order for a product

<br />

## Headers

<ParamField header="API-Key" placeholder="Your Private API Key" type="string" required>
  Your organization's private API key.
</ParamField>

## JSON Request Body

<ParamField body="displayName" placeholder="John's Order" type="string">
  This is the order's display name as it will appear in the programmer.
</ParamField>

<ParamField body="tagMetadata" placeholder="{ internalOrderId: 123456 }" type="string">
  This is a JSON object that defines additional information that will be tied to the tag that's programmed for the order.
</ParamField>

<ParamField body="shippingLabelImgUrl" placeholder="https://example.com/johns-shipping-label.png" type="string">
  This is an optional field where you can add your customer's shipping label.
  This will allow you to print the shipping label directly from the programmer.
</ParamField>

<ResponseExample>
  ```json theme={null}
  {
        success: true,
  	  err: '',
        order: {
          id: 17,
          organizationId: 681,
          productId: 91,
          displayName: "John's order",
          creationDate: "2023-09-26T23:19:42.000Z",
          fulfilled: false,
          tagMetadata: { internalOrderId: 123456 },
          shippingLabelImgUrl: "https://example.com/johns-shipping-label.png",
          fulfillmentDate: null
        }
      }
  ```
</ResponseExample>
